## vim-ultisnips 3.2

=== Makefile ===
MAKEFILE_PATH := $(abspath $(lastword $(MAKEFILE_LIST)))
MAKEFILE_DIR := $(dir ${MAKEFILE_PATH})

# Test images as run on CI.
image_vim_74_py2:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=2.7-stretch --build-arg VIM_VERSION=7.4 .
image_vim_80_py2:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=2.7-stretch --build-arg VIM_VERSION=8.0 .
image_vim_81_py2:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=2.7-stretch --build-arg VIM_VERSION=8.1 .
image_vim_git_py2:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=2.7-stretch --build-arg VIM_VERSION=git .
image_vim_74_py36:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.6-stretch --build-arg VIM_VERSION=7.4 .
image_vim_80_py36:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.6-stretch --build-arg VIM_VERSION=8.0 .
image_vim_81_py36:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.6-stretch --build-arg VIM_VERSION=8.1 .
image_vim_git_py36:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.6-stretch --build-arg VIM_VERSION=git .
# 74 and 80 do not build with py37 and py38. The build errors out with "Require native threads".
image_vim_81_py37:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.7-stretch --build-arg VIM_VERSION=8.1 .
image_vim_git_py37:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.7-stretch --build-arg VIM_VERSION=git .
image_vim_81_py38:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.8-buster --build-arg VIM_VERSION=8.1 .
image_vim_git_py38:
	docker build -t ultisnips:$@ --build-arg PYTHON_IMAGE=3.8-buster --build-arg VIM_VERSION=git .

image_repro: image_vim_80_py3
	docker build -t ultisnips:repro --build-arg BASE_IMAGE=$< -f Dockerfile.repro .

# A reproduction image that drops you into a naked environment,
# with a Vim having UltiSnips and vim-snippets configured. See
# docker/docker_vimrc.vim for the full vimrc. Need to run `make
# image_repro` before this will work.
repro:
	docker run -it -v ${MAKEFILE_DIR}:/src/UltiSnips ultisnips:repro /bin/bash

# This assumes, the repro image is already running and it opens an extra shell
# inside the running container
shell_in_repro:
	docker exec -it $(shell docker ps -q) /bin/bash

## vim-ultisnips 3.0

=== debian/changelog ===
vim-ultisnips (3.0-1) unstable; urgency=low

  * Initial release (Closes: #754086).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 12 Oct 2014 18:11:54 +0200

=== debian/control ===
Source: vim-ultisnips
Section: editors
Priority: optional
Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/SirVer/ultisnips
Vcs-Git: git://anonscm.debian.org/collab-maint/vim-ultisnips.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vim-ultisnips.git

Package: vim-ultisnips
Architecture: all
Depends: python,
         vim-nox | vim-python,
         ${misc:Depends}
Recommends: vim-addon-manager,
            vim-snippets
Description: snippet solution for Vim
 UltiSnips provides snippet management for the Vim editor. A snippet is a short
 piece of text that is either re-used often or contains a lot of redundant
 text. UltiSnips allows you to insert a snippet with only a few key strokes.
 Snippets are common in structured text like source code but can also be used
 for general editing like, for example, inserting a signature in an email or
 inserting the current date in a text file.
 .
 This plugin can utilize the snippets provided by the vim-snippets package.

## vim-ultisnips 3.1

=== debian/changelog ===
vim-ultisnips (3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Shift to Python 3 already supported by the plugin. (Closes: #938777)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 20 Dec 2020 10:21:20 +0300

vim-ultisnips (3.1-3) unstable; urgency=medium

  * Declare directories inside /var/lib/vim/addons/ to be owned by this
    package. They get removed by dpkg if they are emtpy during package
    removal. This covers the case when vim-ultisnips is the only
    installed addon in vim-addon-manager and prevents unowned
    directories. (Closes: #810695)
  * Use dh-python to handle private python modules.
  * Run dh_python2 debhelper scripts before calling vim-addon-manager in
    postinst. This ensures that compiled Python byte code files are
    present when symlinks are created.
  * Include .pyc files in vim-addon-manager registry.
  * Bump Standards-Version to 3.9.7.
  * Reformat packaging files with cme for better readability.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 Feb 2016 12:15:33 +0100

vim-ultisnips (3.1-2) unstable; urgency=medium

  * Promote vim-addon-manager to Depends (from Recommends).
  * Fix file locations in vam registry.
  * Install rplugin files.
  * Add maintainer scripts to handle vim-addon-manager integration.

 -- Michael Fladischer <fladi@debian.org>  Mon, 21 Dec 2015 10:41:10 +0100

vim-ultisnips (3.1-1) unstable; urgency=low

  * New upstream release.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Sat, 19 Dec 2015 18:58:20 +0100

=== debian/control ===
Source: vim-ultisnips
Maintainer: Michael Fladischer <fladi@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-ultisnips.git
Vcs-Git: https://anonscm.debian.org/collab-maint/vim-ultisnips.git
Homepage: https://github.com/SirVer/ultisnips

Package: vim-ultisnips
Architecture: all
Depends: vim-addon-manager,
         vim-nox | vim-python3,
         ${misc:Depends},
         ${python3:Depends}
Recommends: vim-snippets
Description: snippet solution for Vim
 UltiSnips provides snippet management for the Vim editor. A snippet is a short
 piece of text that is either re-used often or contains a lot of redundant
 text. UltiSnips allows you to insert a snippet with only a few key strokes.
 Snippets are common in structured text like source code but can also be used
 for general editing like, for example, inserting a signature in an email or
 inserting the current date in a text file.
 .
 This plugin can utilize the snippets provided by the vim-snippets package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3

## vim-ultisnips 3.2

=== debian/changelog ===
vim-ultisnips (3.2-2) unstable; urgency=medium

  * test/vim_interface.py: Check Vim version through call to Vim's has()
    function. (Closes: #1028442)
  * test/vim_test_case.py: Respect the retries option in tests with the
    expected_error parameter.
  * debian/watch: Update to changed HTML on GitHub page.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 14 Jan 2023 20:11:35 +0300

vim-ultisnips (3.2-1) unstable; urgency=medium

  * New maintainer (Closes: #982604).
  * New upstream release.
  * Update debian/rules for the new release.
    - Stop calling Makefile from the new version
    - Reset redundant executable bit
  * Update the debian/watch file to version 4.
  * Update Debhelper compatibility level to 13.
    - Rely on dh-sequence-* virtual packages
  * Declare compliance with Standards-Version of version 4.6.1.
    - Add field Rules-Requires-Root: no into the debian/control file
    - Use secure URL in the Format field in the debian/copyright file
  * Migrate to dh-vim-addon, add optional NeoVim link.
    - Remove maintainer scripts that call to vim-addon-manager
    - Remove YAML description of the plugin
  * Move packaging repository to a new GitLab instance at salsa.debian.org.
  * Add upstream metadata.
  * Patch upstream tests to run autopkgtest against Vim and NeoVim.
    - Prefer python3 shebang in test_Interpolation.py
    - Run automated tests against installed UtliSnips
    - Detect vim_flavor from call to has('nvim')
    - Ignore in NeoVim broken test
      SnippetActions_PostActionModifiesCharAfterSnippet
    - Invert check_required_vim_version in
      Autotrigger_WillProduceNoExceptionWithVimLowerThan214
    - Check success of "tmux send-keys"
  * Update Lintian overrides.
    - Rename debian-watch-may-check-gpg-signature to
      debian-watch-does-not-check-gpg-signature
    - Mask unusual-interpreter for Python
  * Update the debian/copyright file.
    - Add the Upstream-Contact field
    - Update contribution years
    - Mention me in paragraph about the debian/ folder

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 16 Jul 2022 21:33:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: vim-ultisnips
-Maintainer: Michael Fladischer <fladi@debian.org>
+Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-vim-addon,
                python3-all
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-ultisnips.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/vim-ultisnips.git
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/vim-team/vim-ultisnips
+Vcs-Git: https://salsa.debian.org/vim-team/vim-ultisnips.git
 Homepage: https://github.com/SirVer/ultisnips
 
 Package: vim-ultisnips
 Architecture: all
-Depends: vim-addon-manager,
-         vim-nox | vim-python3,
+Depends: vim-nox | vim-python3,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${vim-addon:Depends}
 Recommends: vim-snippets
 Description: snippet solution for Vim
  UltiSnips provides snippet management for the Vim editor. A snippet is a short

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ -S none

# Reset unnecessary executable bit of a non-runnable file in Python package.
execute_after_dh_install:
	chmod 0644 debian/vim-ultisnips/usr/share/vim-ultisnips/pythonx/UltiSnips/vim_helper.py

# Exclude huge GIFs from examples directory.
override_dh_installexamples:
	dh_installexamples -X \*.gif doc/examples/*

=== debian/watch ===
version=4
opts=" \
  downloadurlmangle=s%releases/tag/(v?@ANY_VERSION@)$%archive/refs/tags/$1.tar.gz% ,\
  filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@$%@PACKAGE@-$1.tar.gz%, \
" https://github.com/SirVer/ultisnips/releases releases/tag/v?@ANY_VERSION@$
